{% extends 'base.html' %}

{% load static %}

{% block title %}
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            <table>
                <thead>
                    <th>Name</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </thead>
                <div>
                    <tbody>
                        {% for item in tasks.all %}
                            <tr>
                                <td>
                                    <a href="{% url 'show_my_tasks' %}">{{ item.name }}</a>
                                </td>
                                <td>{{ item.start_date }}</td>
                                <td>{{ item.due_date }}</td>
                                <td>{{ item.is_completed | yesno }}</td>
                            </tr>
                        </tbody>
                    </div>
                </table>
            {% endfor %}
            {% for item in tasks.all %}
            {% empty %}
                <p>You have no tasks</p>
            {% endfor %}
        </div>
    </main>
{% endblock content %}
